Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Context Menu or right-click menu is a graphical user interface component that appears when the user right-clicks or performs a touch and hold action. You can define the list of items the context menu will contain, create multilevel menus, and attach event handlers to the menu items for seamless integration with other components.

React Context menu items with separator


Multi-level nesting

Multi-level nested items are supported in React context menu. You can browse the sub menu by mouse hover/click in menu items. The appearance of context menu varies for desktop and mobile. In Mobile, users can view Multilevel nested items in single layer with provision to backtrack parent item.

React Context menu in desktop view

React Context menu in mobile view


You can include icons or sprite images in menu items easily to add the visual representation of the action in react contextmenu.

React Context menu with icons

Context Menu Templates

Templates is used to create custom user experience. You can create custom Context Menu by using template for each element of Context menu.

Template support in React Context menu item


Integration with other components

React Context menu can be used with any component. Adding a context menu to other components require simple configurations.


Built-in themes

React Context Menu supports built-in themes such as Bootstrap 5, Tailwind CSS, Fluent, high contrast, and more. Users can customize these built-in themes or create new themes to achieve the desired look and feel either by simply overriding SASS variables or using the Theme Studio application.


Web Accessibility

  • Fully supports WAI-ARIA for working with screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Based on WCAG 2.0 standards, we designed the UI element visuals such as foreground color, background color, line spacing, text, and images.
  • Supports right-to-left (RTL) text direction for users working in right-to-left languages like Hebrew, Arabic, or Persian.

React Context Menu Code Example

Easily get started with the React Context Menu using a few simple lines of TSX code example as demonstrated below. Also explore our React Context Menu Example that shows you how to render and configure a ContextMenu in React.

import { ContextMenuComponent } from '@syncfusion/ej2-react-navigations';
import * as React from 'react';
import './App.css';
class App extends React.Component {
    constructor() {
        super(...arguments);
        this.menuItems = [
            {
                text: 'Cut'
            },
            {
                text: 'Copy'
            },
            {
                text: 'Paste'
            }
        ];
    }
    render() {
        return (
        // specifies the tag to render the ContextMenu component
        <div>
        <div id="target">Right click / Touch hold to open the ContextMenu</div>
        <ContextMenuComponent target="#target" items={this.menuItems}/>
      </div>);
    }
}

Other supported frameworks

Context Menu component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different Context Menu platforms from the links below,




90+ REACT UI COMPONENTS

Frequently Asked Questions

  • Easily configurable with other components using fluent API.
  • Automatic collision detection and handling with submenu flip-and-fit.
  • Option to customize menu items for templating or include other components like Checkbox, Radio Button, etc.
  • One of the best React Context Menu in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with React ContextMenu.

We do not sell the React Context Menu separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React Context Menu. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React Context Menu demo here.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React Context Menu, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Context Menu component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Context Menu or right-click menu is a graphical user interface component that is easy to use and appears when the user right-clicks or performs a touch and hold action. The list of items in the context menu can be defined, multilevel menus created, and event handlers attached to the menu items for seamless integration with other components.

Angular Context menu items with separator


Multi-level nesting

Multi-level nested items are supported in context menu. You can browse the sub menu by mouse hover/click in menu items. The appearance of Angular context menu varies for desktop and mobile. In Mobile, users can view Multilevel nested items in single layer with provision to backtrack parent item.

Angular Context menu in desktop view

Angular Context menu in mobile view


You can include icons or sprite images in menu items easily to add the visual representation of the action in context menu.

Angular Context menu with icons


Template support in Angular Context menu item

Context Menu Templates

Templates is used to create custom user experience. You can create custom Context Menu by using template for each element of Angular Context menu.


Integration with other components

Angular Context menu can be used with any component. Adding a context menu to other components require simple configurations.


Angular Material Context menu

Built-in themes

Angular Context Menu supports built-in themes such as Bootstrap 5, Tailwind CSS, Fluent, high contrast, and more. Users can customize these built-in themes or create new themes to achieve the desired look and feel either by simply overriding SASS variables or using the Theme Studio application.


Web Accessibility

  • Fully supports WAI-ARIA for working with screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Based on WCAG 2.0 standards, we designed the UI element visuals such as foreground color, background color, line spacing, text, and images.
  • Supports right-to-left (RTL) text direction for users working in right-to-left languages like Hebrew, Arabic, or Persian.

Angular Context Menu Code Example

Easily get started with the Angular Context Menu component using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular Context Menu Example that shows you how to render and configure a Context Menu in Angular.

  1. <div class="contextmenu-section">
  2. <div id="contextmenu-control">
  3. <div id="contextmenutarget">
  4. <div class="row ft-one-column segment">
  5.  
  6. <h2 id="overview">Overview</h2>
  7.  
  8. <p>The Angular ComboBox component is a drop-down list with editable textbox that also allows users to choose an option from a predefined pop-up list. It can be used as an alternative to the HTML select tag and has several out-of-the-box features such as data binding, filtering, grouping, cascading, templates, UI customization, pop-up list customization, and more.</p>
  9.  
  10. </div>
  11. <hr>
  12.  
  13. <div class="row ft-two-column">
  14. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-img-small">
  15.  
  16.  
  17. </div>
  18. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-content-small">
  19. <p><img src="images/combo-box/angular-combobox-data-binding.png" alt="Angular Combo Box data binding from different data sources"></p>
  20.  
  21. </div>
  22. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-img-small">
  23.  
  24. <h2 id="data-binding">Data binding</h2>
  25.  
  26. <p>Bind data from different data sources in an array or list of primitive data, JSON data collections, or remote data sources using adapters such as OData, OData V4, URL, JSON, and Web API.</p>
  27.  
  28. <p>The component uses the Essential JS 2 data manager to manage data, and also has customization options for data requests and processing.</p>
  29.  
  30. <ul class="list-unstyled">
  31. <li><a href="https://ej2.syncfusion.com/angular/demos/#/material/combo-box/data-binding">ComboBox data binding example</a></li>
  32. </ul>
  33.  
  34.  
  35. </div>
  36.  
  37. </div>
  38. <hr>
  39.  
  40. <div class="row ft-two-column">
  41. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-img-small">
  42.  
  43. <h2 id="custom-value">Custom value</h2>
  44.  
  45. <p>The editable combobox allows the entry of a custom value when the option the user searched for is not available in the pop-up list. Also, you can set a value for the combobox or get the selected value from the combobox at any time through the interactive APIs.</p>
  46.  
  47. <ul class="list-unstyled">
  48. <li><a href="https://ej2.syncfusion.com/angular/demos/#/material/combo-box/custom-value.html">ComboBox with custom value example</a></li>
  49. </ul>
  50.  
  51.  
  52. </div>
  53. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-content-small">
  54. <p><img src="images/combo-box/angular-editable-combobox-with-custom-value.png" alt="Angular ComboBox that allows custom values in the pop-up list"></p>
  55.  
  56. </div>
  57. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-img-small">
  58.  
  59.  
  60. </div>
  61.  
  62. </div>
  63. <hr>
  64.  
  65. <div class="row multi-column-conent-container">
  66. <h2 id="filtering">Filtering</h2>
  67.  
  68. <p>The Angular ComboBox provides a built-in filtering support with a rich set of filtering configurations to meet all the application needs.</p>
  69.  
  70. <ul class="list-unstyled">
  71. <li><a href="https://www.syncfusion.com/tutorial-videos/angular/combobox?title=how-to-group-and-filter-items-in-the-angular-combobox">Learn more</a></li>
  72. </ul>
  73.  
  74.  
  75.  
  76.  
  77.  
  78.  
  79.  
  80. <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 multi-col-contents">
  81. <div class="col-lg-4 col-md-6 col-sm-12 col-xs-12 three-col-content">
  82.  
  83. <p><img src="images/combo-box/angular-combobox-custom-filtering.png" alt="Angular ComboBox filtering search based on custom algorithm"></p>
  84.  
  85. <h3 id="custom-filtering">Custom filtering</h3>
  86.  
  87. <p>Filter queries are customizable, and users can use their own filter libraries to filter data.</p>
  88.  
  89.  
  90. </div>
  91. <div class="col-lg-4 col-md-6 col-sm-12 col-xs-12 three-col-content">
  92.  
  93. <p><img src="images/combo-box/angular-combobox-diacritic-sensitivity-search.png" alt="Angular ComboBox filtering with diacritic symbol sensitivity"></p>
  94.  
  95. <h3 id="diacritic-sensitivity">Diacritic sensitivity</h3>
  96.  
  97. <p>The Angular ComboBox component supports diacritic-sensitive search. This behavior can be turned on and off.</p>
  98.  
  99.  
  100. </div>
  101. <div class="col-lg-4 col-md-6 col-sm-12 col-xs-12 three-col-content">
  102.  
  103. <p><img src="images/combo-box/angular-combobox-filter-settings.png" alt="Angular ComboBox filtering with case sensitivity and minimum search characters"></p>
  104.  
  105. <h3 id="filter-settings">Filter settings</h3>
  106.  
  107. <p>The filter search can be customized to be case sensitive, and can be performed with the minimum query string characters.</p>
  108.  
  109.  
  110. </div>
  111. </div>
  112. </div>
  113. <hr>
  114.  
  115. <div class="row ft-two-column">
  116. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-content-small">
  117. <p><img src="images/combo-box/angular-combobox-category-grouping.png" alt="Angular ComboBox Grouping of pop-up list items based on category"></p>
  118.  
  119. </div>
  120. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-img-small">
  121.  
  122. <h2 id="grouping-with-category">Grouping with category</h2>
  123.  
  124. <p>Group the pop-up list items with a corresponding category that makes it easy for users to pick an item quickly from the drop-down, and also improves the visual experience for users.</p>
  125.  
  126. <ul class="list-unstyled">
  127. <li><a href="https://ej2.syncfusion.com/angular/demos/#/material/combo-box/grouping-icon">ComboBox grouping example</a></li>
  128. </ul>
  129.  
  130.  
  131. </div>
  132.  
  133. </div>
  134. <hr>
  135.  
  136. <div class="row ft-two-column">
  137. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-img-small">
  138.  
  139. <h2 id="autofill">Autofill</h2>
  140.  
  141. <p>The autofill option allows users to easily search through the options in the combo box. When a user types a query string to search, the available matching options will be filled automatically.</p>
  142.  
  143. <ul class="list-unstyled">
  144. <li><a href="https://ej2.syncfusion.com/angular/demos/#/material/combo-box/data-binding">ComboBox autofill option example</a></li>
  145. </ul>
  146.  
  147.  
  148. </div>
  149. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-content-small">
  150. <p><img src="images/combo-box/angular-combobox-autofill-suggestion.png" alt="Angular ComboBox autofill option while typing"></p>
  151.  
  152. </div>
  153. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-img-small">
  154.  
  155.  
  156. </div>
  157.  
  158. </div>
  159. <hr>
  160.  
  161. <div class="row ft-two-column">
  162. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-content-small"><iframe class="lazy-iframe" loading="lazy" style="height:250px" data-src="https://ej2.syncfusion.com/products/typescript/combobox/sixth-sample/?editable=false"></iframe></div>
  163. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-img-small">
  164.  
  165. <h2 id="cascading-combo-boxes">Cascading combo boxes</h2>
  166.  
  167. <p>The Angular ComboBox component provides an option to create multiple cascading combo boxes. Users can populate the data source of the second ComboBox based on the value selected from the first ComboBox.</p>
  168.  
  169. <ul class="list-unstyled">
  170. <li><a href="https://ej2.syncfusion.com/angular/documentation/combo-box/how-to/cascading">How to configure cascading combo boxes?</a></li>
  171. </ul>
  172.  
  173.  
  174. </div>
  175.  
  176. </div>
  177. <hr>
  178.  
  179. <div class="row multi-column-conent-container">
  180. <h2 id="drop-down-styles-with-templates">Drop-down styles with templates</h2>
  181.  
  182. <p>Another important combobox feature is templates, which allow you to make custom changes to the header, footer, and list items in the pop-up list to make them look unique.</p>
  183.  
  184. <ul class="list-unstyled">
  185. <li><a href="https://www.syncfusion.com/tutorial-videos/angular/combobox?title=customize-the-angular-combobox-using-templates">Learn more</a></li>
  186. </ul>
  187.  
  188.  
  189.  
  190.  
  191.  
  192.  
  193.  
  194. <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 multi-col-contents">
  195. <div class="col-lg-4 col-md-6 col-sm-12 col-xs-12 three-col-content">
  196.  
  197. <p><img src="images/combo-box/angular-combobox-header-template.png" alt="Styling Angular ComboBox pop-up list with a header template"></p>
  198.  
  199. <h3 id="header-template">Header template</h3>
  200.  
  201. <p>Design your own header for the pop-up list using a header template.</p>
  202.  
  203. <ul class="list-unstyled">
  204. <li><a href="https://ej2.syncfusion.com/angular/documentation/combo-box/templates/#header-template">Header template example</a></li>
  205. </ul>
  206.  
  207.  
  208. </div>
  209. <div class="col-lg-4 col-md-6 col-sm-12 col-xs-12 three-col-content">
  210.  
  211. <p><img src="images/combo-box/angular-combobox-item-template.png" alt="Styling Angular ComboBox pop-up list with item template"></p>
  212.  
  213. <h3 id="item-template">Item template</h3>
  214.  
  215. <p>Define the appearance of each item in the pop-up list with item templates.</p>
  216.  
  217. <ul class="list-unstyled">
  218. <li><a href="https://ej2.syncfusion.com/angular/documentation/combo-box/templates#item-template">Item template example</a></li>
  219. </ul>
  220.  
  221.  
  222. </div>
  223. <div class="col-lg-4 col-md-6 col-sm-12 col-xs-12 three-col-content">
  224.  
  225. <p><img src="images/combo-box/angular-combobox-footer-template.png" alt="Styling Angular ComboBox pop-up list with footer template"></p>
  226.  
  227. <h3 id="footer-template">Footer template</h3>
  228.  
  229. <p>Design your own custom and static footers for the pop-up list using footer templates.</p>
  230.  
  231. <ul class="list-unstyled">
  232. <li><a href="https://ej2.syncfusion.com/angular/documentation/combo-box/templates#footer-template">Footer template example</a></li>
  233. </ul>
  234.  
  235.  
  236. </div>
  237. </div>
  238. </div>
  239. <hr>
  240.  
  241. <div class="row multi-column-conent-container">
  242. <h2 id="customizing-the-ui">Customizing the UI</h2>
  243.  
  244. <p>Users can customize each part of the combobox based on their application requirements.</p>
  245.  
  246.  
  247.  
  248.  
  249.  
  250.  
  251.  
  252. <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 multi-col-contents">
  253. <div class="col-lg-4 col-md-6 col-sm-12 col-xs-12 three-col-content">
  254.  
  255. <p><img src="images/combo-box/angular-combobox-popup-list-items-with-icons.png" alt="Angular bootstrap ComboBox pop-up list with icons"></p>
  256.  
  257. <h3 id="icons-in-list-items">Icons in list items</h3>
  258.  
  259. <p>Each list item can be configured to display a custom icon to improve the component’s readability and appearance.</p>
  260.  
  261.  
  262. </div>
  263. <div class="col-lg-4 col-md-6 col-sm-12 col-xs-12 three-col-content">
  264.  
  265. <p><img src="images/combo-box/angular-combobox-empty-record-template.png" alt="Angular ComboBox pop-up list custom appearance when no records are found"></p>
  266.  
  267. <h3 id="empty-record">Empty record</h3>
  268.  
  269. <p>Configure a custom look for the pop-up list when there are no items to display.</p>
  270.  
  271.  
  272. </div>
  273. <div class="col-lg-4 col-md-6 col-sm-12 col-xs-12 three-col-content">
  274.  
  275. <p><img src="images/combo-box/angular-combobox-popup-list-dimention-customization.png" alt="Angular ComboBox the pop-up list dimensions customization"></p>
  276.  
  277. <h3 id="customize-dimensions">Customize dimensions</h3>
  278.  
  279. <p>The dimensions of the pop-up list can be customized to fit the application.</p>
  280.  
  281.  
  282. </div>
  283. </div>
  284. </div>
  285. <hr>
  286.  
  287. <div class="row ft-two-column">
  288. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-content-small">
  289. <p><img src="images/combo-box/angular-combobox-form-validation.png" alt="Combo Box Angular with form validation"></p>
  290.  
  291. </div>
  292. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-img-small">
  293.  
  294. <h2 id="forms-support">Forms support</h2>
  295.  
  296. <p>Since the combo box is a form component, it supports HTML forms, template-driven forms (Angular), and reactive forms.</p>
  297.  
  298.  
  299. </div>
  300.  
  301. </div>
  302. <hr>
  303.  
  304. <div class="row multi-column-conent-container">
  305.  
  306.  
  307. <div class="row ft-two-column">
  308. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-img-small">
  309.  
  310. <h2 id="themes">Themes</h2>
  311. <p>The Angular ComboBox component supports the built-in themes Material, Bootstrap, Fabric (Office 365), Fluent, Tailwind CSS, and high contrast. Users can customize these built-in themes or create new themes to achieve their desired look and feel by either simply overriding SASS variables or using our Theme Studio application.</p>
  312.  
  313. <ul class="list-unstyled">
  314. <li><a href="https://ej2.syncfusion.com/themestudio/?theme=bootstrap">Theme Studio application.</a></li>
  315. </ul>
  316.  
  317.  
  318. </div>
  319. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-content-small">
  320. <p><img src="images/combo-box/combobox-angular-material.png" alt="Combobox Material Angular" width="333" height="135" loading="lazy"></p>
  321.  
  322. </div>
  323. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 col-img-small">
  324.  
  325.  
  326. </div>
  327.  
  328. </div>
  329.  
  330.  
  331. <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 multi-col-contents"><div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 two-col-content">
  332.  
  333. <h2 id="mobile-responsive-ui">Mobile responsive UI</h2>
  334. <p>The Angular ComboBox component supports a responsive mode that provides an adaptive, redesigned UI appearance for mobile devices.</p>
  335.  
  336. </div></div>
  337. </div>
  338. <hr>
  339.  
  340. <div class="row ft-one-column segment">
  341.  
  342. <h2 id="web-accessibility">Web accessibility</h2>
  343.  
  344. <ul>
  345. <li>
  346. <p>Fully supports <a href="https://www.w3.org/WAI/ARIA/apg/#combobox">WAI-ARIA</a> accessibility guidelines to work with screen readers and assistive devices.</p>
  347. </li>
  348. <li>
  349. <p>Follows <a href="https://www.w3.org/WAI/ARIA/apg/#combobox">WAI-ARIA best practices</a> for implementing keyboard interaction.</p>
  350. </li>
  351. <li>
  352. <p>Designs the UI visual elements such as foreground color, background color, line spacing, text, and images based on <a href="https://www.w3.org/TR/WCAG20/">WCAG 2.0</a> standard.</p>
  353. </li>
  354. <li>
  355. <p>Supports right-to-left (RTL) direction for users working with RTL languages like Hebrew, Arabic, or Persian.</p>
  356. </li>
  357. </ul>
  358.  
  359. </div>
  360. <hr>
  361.  
  362. <div class="row ft-one-column segment">
  363.  
  364. <h2 id="developer-friendly-apis">Developer friendly APIs</h2>
  365.  
  366. <p>Developers can customize all UI elements and control their behaviors according to the end user’s requirements using its rich set of client-side APIs.</p>
  367.  
  368. </div>
  369. <hr>
  370.  
  371. <div class="row ft-one-column segment">
  372.  
  373. <h2 id="angular-combobox-code-example">Angular ComboBox Code Example</h2>
  374. <p>Easily get started with the Angular ComboBox using a few simple lines of HTML and TS code example as demonstrated below. Also explore our <a href="https://ej2.syncfusion.com/angular/demos/#/material/combo-box/default">Angular ComboBox Example</a> that shows you how to configure the combobox in Angular.</p>
  375.  
  376. <div class="code-snippet-tabs" id="code-snippet-1">
  377.  
  378. <ul class="nav nav-tabs" role="tablist">
  379.  
  380. <li role="presentation" class=""><a data-target="#49bpv2px53s7bclzegqrcf404gequk59-html" aria-controls="home" role="tab" data-toggle="tab" data-original-lang="html">html</a></li>
  381. <li role="presentation" class=""><a data-target="#vtw7zrlm1n8w1b56hacvtwjts8rjtuwo-ts" aria-controls="home" role="tab" data-toggle="tab" data-original-lang="ts">ts</a></li>
  382.  
  383. </ul>
  384.  
  385. <div class="tab-content">
  386.  
  387.  
  388.  
  389. <div role="tabpanel" class="tab-pane" id="49bpv2px53s7bclzegqrcf404gequk59-html" data-original-lang="html">
  390. <div class="highlight"><pre class="prettyprint linenums language-html" data-lang="html"><span class="nt">&lt;div</span> <span class="na">class=</span><span class="s">"control-section"</span><span class="nt">&gt;</span>
  391. <span class="nt">&lt;ejs-combobox</span> <span class="na">id=</span><span class="s">'games'</span> <span class="na">[dataSource]=</span><span class="s">'data'</span> <span class="nt">&gt;&lt;/ejs-combobox&gt;</span>
  392. <span class="nt">&lt;/div&gt;</span></pre></div>
  393. </div>
  394.  
  395. <div role="tabpanel" class="tab-pane" id="vtw7zrlm1n8w1b56hacvtwjts8rjtuwo-ts" data-original-lang="ts">
  396. <div class="highlight"><pre class="prettyprint linenums language-ts" data-lang="ts"><span class="k">import</span> <span class="p">{</span> <span class="nx">Component</span> <span class="p">}</span> <span class="k">from</span> <span class="dl">'</span><span class="s1">@angular/core</span><span class="dl">'</span><span class="p">;</span>
  397. <span class="k">import</span> <span class="p">{</span> <span class="nx">ComboBoxComponent</span> <span class="p">}</span> <span class="k">from</span> <span class="dl">'</span><span class="s1">@syncfusion/ej2-angular-dropdowns</span><span class="dl">'</span><span class="p">;</span>
  398. <span class="p">@</span><span class="nd">Component</span><span class="p">({</span>
  399. <span class="na">selector</span><span class="p">:</span> <span class="dl">'</span><span class="s1">app-root</span><span class="dl">'</span><span class="p">,</span>
  400. <span class="c1">// specifies the template string for the ComboBox component</span>
  401. <span class="na">template</span><span class="p">:</span> <span class="s2">`&lt;ejs-combobox id='games' [dataSource]='data'&gt;&lt;/ejs-combobox&gt;`</span>
  402. <span class="p">})</span>
  403. <span class="k">export</span> <span class="kd">class</span> <span class="nx">AppComponent</span> <span class="p">{</span>
  404. <span class="kd">constructor</span><span class="p">()</span> <span class="p">{</span>
  405. <span class="p">}</span>
  406. <span class="c1">// defined the array of data</span>
  407. <span class="k">public</span> <span class="nx">data</span><span class="p">:</span> <span class="kr">string</span><span class="p">[]</span> <span class="o">=</span> <span class="p">[</span><span class="dl">'</span><span class="s1">Cricket</span><span class="dl">'</span><span class="p">,</span> <span class="dl">'</span><span class="s1">Football</span><span class="dl">'</span><span class="p">,</span> <span class="dl">'</span><span class="s1">Rugby</span><span class="dl">'</span><span class="p">,</span> <span class="dl">'</span><span class="s1">Snooker</span><span class="dl">'</span><span class="p">,</span> <span class="dl">'</span><span class="s1">Tennis</span><span class="dl">'</span><span class="p">];</span>
  408. <span class="p">}</span></pre></div>
  409. </div>
  410.  
  411. </div>
  412.  
  413. </div>
  414.  
  415. </div>
  416. <hr>
  417.  
  418. <div class="row ft-one-column segment">
  419.  
  420. <h2 id="other-supported-frameworks">Other supported frameworks</h2>
  421.  
  422. <p>ComboBox is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different ComboBox platforms from the links below,</p>
  423.  
  424. <ul>
  425. <li><a href="https://www.syncfusion.com/blazor-components/blazor-combobox">Blazor ComboBox</a></li>
  426. <li><a href="https://www.syncfusion.com/react-components/react-combobox">React ComboBox</a></li>
  427. <li><a href="https://www.syncfusion.com/vue-components/vue-combobox">Vue ComboBox</a></li>
  428. <li><a href="https://www.syncfusion.com/javascript-ui-controls/js-combobox">JavaScript ComboBox</a></li>
  429. </ul>
  430.  
  431. </div>
  432. <hr>
  433.  
  434. <div class="row ft-one-column segment" id="single-column-link-section">
  435.  
  436. <h2 id="not-sure-how-to-create-your-first-angular-combobox-our-documentation-can-help">Not sure how to create your first Angular ComboBox? Our documentation can help.</h2>
  437.  
  438. <ul>
  439. <li><a href="https://ej2.syncfusion.com/angular/documentation/combo-box/getting-started">I’d love to read it now</a></li>
  440. </ul>
  441.  
  442. </div>
  443. <hr>
  444.  
  445. <div class="row multi-column-conent-container" id="faq-section">
  446. <div class="ft-column-header text-left">
  447. <h2 id="frequently-asked-questions">Frequently Asked Questions</h2>
  448.  
  449. </div>
  450.  
  451.  
  452.  
  453.  
  454.  
  455.  
  456.  
  457.  
  458.  
  459.  
  460.  
  461.  
  462.  
  463. <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 multi-col-contents">
  464. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 two-col-content">
  465.  
  466. <div class="ft-column-header text-left question">
  467. <h3 id="why-should-you-choose-syncfusion-angular-combobox-component">Why should you choose Syncfusion Angular ComboBox component?</h3>
  468.  
  469. </div>
  470.  
  471. <div class="ft-column-header text-left answer">
  472. <p>The Syncfusion Angular ComboBox provides the following:</p>
  473.  
  474. <ul>
  475. <li>A great alternative to the HTML select tag, with a modern look and feel.</li>
  476. <li>Editable combobox with advanced features, including auto suggestion, <a href="https://ej2.syncfusion.com/angular/documentation/combo-box/grouping">grouping</a>, sorting, <a href="https://ej2.syncfusion.com/angular/documentation/combo-box/filtering">filtering</a> and more.</li>
  477. <li>Supports complete <a href="https://ej2.syncfusion.com/angular/documentation/combo-box/style">customization</a> of the UI and pop-up list through different <a href="https://ej2.syncfusion.com/angular/documentation/combo-box/templates">template</a> options.</li>
  478. <li>Industry-standard themes are included: Material, Fabric, Fluent, and Bootstrap.</li>
  479. <li>One of the best Angular ComboBox in the market that offers feature-rich UI to interact with the software.</li>
  480. <li>Supports all modern browsers.</li>
  481. <li>Simple configuration and API.</li>
  482. <li>Expansive learning resources such as <a href="https://ej2.syncfusion.com/angular/demos/#/material/combo-box/default">demos</a> and <a href="https://ej2.syncfusion.com/angular/documentation/combo-box/getting-started">documentation</a> to learn quickly and get started with Angular ComboBox.</li>
  483. </ul>
  484.  
  485. </div>
  486.  
  487.  
  488. </div>
  489. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 two-col-content">
  490.  
  491. <div class="ft-column-header text-left question">
  492. <h3 id="can-i-purchase-the-syncfusion-angular-combobox-component-separately">Can I purchase the Syncfusion Angular ComboBox component separately?</h3>
  493.  
  494. </div>
  495.  
  496. <div class="ft-column-header text-left answer">
  497. <p>No, our {overallcontrolcount}+ components and frameworks for web, mobile, and desktop, including our Angular ComboBox, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their ComboBox component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all {overallcontrolcount}+ components and frameworks for a subscription fee that starts at <strong>$395 per month</strong> for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our <a href="https://www.syncfusion.com/company/contact-us">product specialists</a> today to see if you qualify for any additional discounts.</p>
  498.  
  499. </div>
  500.  
  501.  
  502. </div>
  503. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 two-col-content">
  504.  
  505. <div class="ft-column-header text-left question">
  506. <h3 id="what-is-the-price-for-syncfusion-angular-combobox-component">What is the price for Syncfusion Angular ComboBox component?</h3>
  507.  
  508. </div>
  509.  
  510. <div class="ft-column-header text-left answer">
  511. <p>We do not sell the Angular ComboBox separately. It is only available for purchase as part of the <a href="https://www.syncfusion.com/sales/teamlicense">Syncfusion team license</a>. This contains over {overallcontrolcount} components and frameworks, including the Angular ComboBox. The price of the team license starts at <strong>$395 per month</strong> for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our <a href="https://www.syncfusion.com/company/contact-us">product specialists</a> today to see if you qualify for any additional discounts.</p>
  512.  
  513. </div>
  514.  
  515.  
  516. </div>
  517. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 two-col-content">
  518.  
  519. <div class="ft-column-header text-left question">
  520. <h3 id="can-i-download-and-utilize-the-syncfusion-angular-combobox-for-free">Can I download and utilize the Syncfusion Angular ComboBox for free?</h3>
  521.  
  522. </div>
  523.  
  524. <div class="ft-column-header text-left answer">
  525. <p>No, this is a commercial product and requires a paid license. However, a <a href="https://www.syncfusion.com/products/communitylicense">free community license</a> is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.</p>
  526.  
  527. </div>
  528.  
  529.  
  530. </div>
  531. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 two-col-content">
  532.  
  533. <div class="ft-column-header text-left question">
  534. <h3 id="where-can-i-find-the-syncfusion-angular-combobox-demo">Where can I find the Syncfusion Angular ComboBox demo?</h3>
  535.  
  536. </div>
  537.  
  538. <div class="ft-column-header text-left answer">
  539. <p>You can find our Angular ComboBox demo <a href="https://ej2.syncfusion.com/angular/demos/#/material/combo-box/default">here</a>.</p>
  540.  
  541. </div>
  542.  
  543.  
  544. </div>
  545. <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 two-col-content">
  546.  
  547. <div class="ft-column-header text-left question">
  548. <h3 id="how-do-i-get-started-with-syncfusion-angular-combobox-component">How do I get started with Syncfusion Angular ComboBox component?</h3>
  549.  
  550. </div>
  551.  
  552. <div class="ft-column-header text-left answer">
  553. <p>A good place to start would be our comprehensive <a href="https://ej2.syncfusion.com/angular/documentation/combo-box/getting-started">getting started documentation</a>.</p>
  554.  
  555. </div>
  556.  
  557.  
  558. </div>
  559. </div>
  560. </div>
  561. <hr>
  562.  
  563. </div>
  564. <ejs-contextmenu #contextmenu target='#contextmenutarget' [items]='menuItems'></ejs-contextmenu>
  565. </div>
  566. </div>
import { Component } from '@angular/core';
import { MenuItemModel } from '@syncfusion/ej2-navigations';

@Component({
  selector: 'app-root',
  template: `<!--target element-->
            <div id="target">Right click / Touch hold to open the ContextMenu</div>

            <!-- To Render ContextMenu. -->
            <ejs-contextmenu id='contextmenu' target='#contextmenutarget' [items]= 'menuItems'></ejs-contextmenu>`
})

export class AppComponent {
    public menuItems: MenuItemModel[] = [
    {
        text: 'Cut'
    },
    {
        text: 'Copy'
    },
    {
        text: 'Paste'
    }];
}

Other supported frameworks

Context Menu is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Context Menu platforms from the links below,


Angular version compatibility

With continuous improvement in Angular versions, the Angular Context Menu is kept up to date to make it compatible with the latest version.

Angular 11 illustration

Angular 11

90+ ANGULAR UI COMPONENTS

Frequently Asked Questions

  • It is a graphical user interface component that appears when the user right-clicks or performs a touch and hold action.
  • Supports multilevel nested sub menus.
  • Supports automatic collision detection and handling with submenu flip-and-fit.
  • Supports option to customize menu items for templating or include other controls like Checkbox, Radio Button, etc.
  • Support separator to represent similar action items as a group within the list of available items.
  • Industry-standard themes are included: Material, Fabric, Fluent, and Bootstrap.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Touch friendly and responsive UI.
  • One of the best Angular Context Menu in the market that offers feature-rich UI to interact with the software.
  • Extensive demos, and documentation to learn quickly and get started with the Angular Context Menu component.

We do not sell the Angular Context Menu separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Angular Context Menu. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular Context Menu demo here.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Angular Context Menu, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Context Menu component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us